Name:           nwipe
Version:        0.35
Release:    1%{?dist}
Summary:        Securely erase disks using a variety of recognized methods


%global         gituser         martijnvanbrummelen
%global         gitname         nwipe
%global         commit          ab6c4c0014af7e423a4d90ca4e6f201cb30a1f98
%global         gitdate         20201209
%global         shortcommit     %(c=%{commit}; echo ${c:0:7})


License:        GPL-2.0-only
URL:            https://github.com/martijnvanbrummelen/nwipe
VCS:            https://github.com/martijnvanbrummelen/nwipe

Source0:        https://github.com/%{gituser}/%{gitname}/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz

Patch1:         nwipe-epel6.patch

Patch2:         nwipe-epel-int64t.patch

Patch3:         nwipe-timespec.patch


BuildRequires:  make
BuildRequires:  gcc
BuildRequires:  parted-devel
BuildRequires:  ncurses-devel
BuildRequires:  libconfig-devel
BuildRequires:  autoconf
BuildRequires:  automake
Recommends:     smartmontools
Recommends:     dmidecode


%description
The nwipe is a command that will securely erase disks using a variety of 
recognized methods. It is a fork of the dwipe command used by Darik's 
Boot and Nuke (dban). Nwipe was created out of need to run the DBAN dwipe
command outside of DBAN. This allows it to use any host distribution which
gives better hardware support. It is essentially the same as dwipe, with 
a few changes:
- pthreads is used instead of fork
- The parted library is used to detect drives
- The code is designed to be compiled with gcc
- Increased number of wipe methods
- Smartmontools is used to provide USB serial #
- DmiDecode is used to provide host info to nwipes log 

%prep
%autosetup -n %{gitname}-%{version} -p 1


%build
autoreconf -vif

%configure
%make_build


%install
%make_install


%files
%license COPYING
%doc CHANGELOG.md README.md
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1.gz

%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.35-1
- initial build
